Subject: bug#17125: Acknowledgement (24.4.50; daemon mode: closing X client frame exits entire emacs)

From: [email-masked] (Peder O. Klingenberg)
Date: Tue, 01 Apr 2014 16:09:36 +0200

Dmitry Antipov <[email-masked]> writes:

> Could you also try to install a breakpoint at font.c:2600 and then call
> debug_print (elt) when hit? Probably elt is bogus here (not a vector).
> Also please recompile with --enable-checking to get easserts into the game.

I found and defined ENABLE_CHECKING in config.h before seeing your
reply.  The eassert does indeed trigger.  Changing "eassert" to "if"
makes the segfault go away, and I can start clients to my heart's
content.  The value of (frame-font-cache) on the lisp side is reduced
when reattaching the second (and subsequent) clients, to only

(":0" (x 1 (#<font-spec x nil 7x13 nil nil normal normal normal nil nil nil nil ((:name . "7x13"))> . #<font-entity x Misc Fixed ## ISO8859-1 medium r normal 13 75 110 70 nil>)) (xft 1 (#<font-spec xft nil 7x13 nil nil normal normal normal nil nil nil nil ((:name . "7x13"))>)))

I will do the breakpoint thing, but I'm out of time at the moment.  I'll
get to it either later today or tomorrow.

Thanks!

--
...Peder...